From 002d5133a9517f93385e1fe612b6d8153b39a190 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Fri, 10 Apr 2020 18:02:59 +0800
Subject: [PATCH 40/77] virsh_cpu_compare: update expect keyword output for
 aarch64

Update cpu_compare expect keyword output for openEuler aarch64.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_cpu_compare.py | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_cpu_compare.py b/libvirt/tests/src/virsh_cmd/domain/virsh_cpu_compare.py
index de3aa8d3..799051e4 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_cpu_compare.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_cpu_compare.py
@@ -136,8 +136,12 @@ def run(test, params, env):
         elif mode == "delete":
             if cpu_match == "strict":
                 msg_patterns = ["incompatible"]
+                if "aarch" in platform.machine():
+                    msg_patterns = ["identical"]
             else:
                 msg_patterns = ["superset"]
+                if "aarch" in platform.machine():
+                    msg_patterns = ["identical"]
         elif mode == "modify":
             if modify_target == "mode":
                 if modify_invalid:
@@ -155,9 +159,13 @@ def run(test, params, env):
                     msg_patterns = ["incompatible"]
                 elif modify_invalid:
                     msg_patterns = ["Unknown"]
+                    if "aarch" in platform.machine():
+                        msg_patterns = ["incompatible"]
             elif modify_target == "feature_policy":
                 if modify_value == "forbid":
                     msg_patterns = ["incompatible"]
+                    if "aarch" in platform.machine():
+                        msg_patterns = ["identical"]
                 else:
                     msg_patterns = ["identical"]
             else:
-- 
2.23.0

